CGAL 6.2 - 3D Convex Hulls: CGAL::Extreme_points_traits_adapter_3< PointPropertyMap, Base_traits > Class Template Reference

CGAL 6.2 - 3D Convex Hulls

Loading...
Searching...
No Matches
List of all members | Public Types | Public Member Functions
CGAL::Extreme_points_traits_adapter_3< PointPropertyMap, Base_traits > Class Template Reference
Reference Manual » Traits Classes

`#include <CGAL/Extreme_points_traits_adapter_3.h>`

## Definition

template<class PointPropertyMap, class Base_traits = Default>
class CGAL::Extreme_points_traits_adapter_3< PointPropertyMap, Base_traits >

The class `Extreme_points_traits_adapter_3` serves as a traits class for the function `extreme_points_3()`.

It permits the use of this function for accessing vertices, indices, or anything that can be used as `key_type` for `PointPropertyMap`.

Template Parameters

  PointPropertyMap | a model of `ReadablePropertyMap` with `CGAL::Point_3` as value_type.
  Base_traits | a model of `ConvexHullTraits_3` and `IsStronglyConvexTraits_3`. If the kernel `R` of the points from `PointPropertyMap` is a kernel with exact predicates but inexact constructions (in practice we check `R::Has_filtered_predicates_tag` is `Tag_true` and `R::FT` is a floating point type), then the default traits class used is `Convex_hull_traits_3<R>`, and `R` otherwise.

Is model of
  `ConvexHullTraits_3`
  `IsStronglyConvexTraits_3`

## Public Types
typedef boost::property_traits< PointPropertyMap >::key_type | Point_3

## Public Member Functions
| Extreme_points_traits_adapter_3 (const PointPropertyMap &pmap, Base_traits base=Base_traits())
| Constructor for the adapter.
boost::property_traits< PointPropertyMap >::reference | get_point (const typename boost::property_traits< PointPropertyMap >::key_type &k) const

## Constructor & Destructor Documentation

## ◆ Extreme_points_traits_adapter_3()

template<class PointPropertyMap , class Base_traits = Default>

CGAL::Extreme_points_traits_adapter_3< PointPropertyMap, Base_traits >::Extreme_points_traits_adapter_3 | ( | const PointPropertyMap & | pmap,
|  | Base_traits | base = `Base_traits()`
| ) |  |

Constructor for the adapter.

It uses the functors from `Base_traits` with a call to `get()` for each argument.

Parameters

  pmap | the propertymap used for retrieving the data.
  base | the base ConvexHullTraits_3 used for `extreme_points_3()`.

## Member Function Documentation

## ◆ get_point()

template<class PointPropertyMap , class Base_traits = Default>

boost::property_traits< PointPropertyMap >::reference CGAL::Extreme_points_traits_adapter_3< PointPropertyMap, Base_traits >::get_point | ( | const typename boost::property_traits< PointPropertyMap >::key_type & | k | ) | const

Returns
  the `CGAL::Point_3` associated with `k`